#ifndef _DRV_INIT_H_
#define _DRV_INIT_H_

#include "typedef.h"

extern int32_t g_drv_mem_fd;

#define STC_REG_BASE_ADDR   (0x08568000)   
#define STC_REG_LEN         (0x08000)
#define STC_LTBG_REG_OFFSET  0x1005

int32_t drv_init(void);
uint64_t get_arm_cycle();
uint32_t read_stc_local_timer();

#endif

